aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xrc.d/rc.sysinit9
1 files changed, 7 insertions, 2 deletions
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
index 75d92f97..45cc5e22 100755
--- a/rc.d/rc.sysinit
+++ b/rc.d/rc.sysinit
@@ -215,11 +215,16 @@ if [ -f /etc/rc.d/rc.modules ]; then
fi
# Add raid devices
-if [ -f /proc/mdstat -a -f /etc/raidtab -a -x /sbin/raidstart ]; then
- action "Starting up RAID devices" raidstart -a
+if [ -f /proc/mdstat -a -f /etc/raidtab -a -x /sbin/raidadd ]; then
+ action "Starting up RAID devices" raidadd -a
rc=$?
+ if [ $rc = 0 ]; then
+ raidrun -a
+ rc=$?
+ fi
+
# A non-zero return means there were problems.
if [ $rc -gt 0 ]; then
echo